# SpectCube

The SpectCube package aims to provide a fast and flexible tool for spectral resampling. This package performs the resampling conserving the integrated flux locally and globally. Performing resampling of individual spectrum, list of spectra or even cubes resulting from integral field spectroscopy (IFU). It is particularly interesting for processing large volumes of data. Thus, it becomes useful in preparing models and observations to be used in a wide variety of analyses.

## Installation

For a new installation via pip use:
```
 pip install spectcube
```
to update a previous version to the latest version use:
```
 pip --upgrade spectcube
```

## Usage Examples

Examples of using SpectCube are available in [examples](https://github.com/luizsl/SpectCube/tree/main/spectcube) and also locally in the site-packages/spectcube/example directory (If you want to find out where your packages are installed use ```python -m site``` or see either [video](https://www.youtube.com/watch?v=Nm2p9w05nVw) or [forum](https://stackoverflow.com/questions/31384639/what-is-pythons-site-packages-directory)). Data to be used in the examples are in [data](https://github.com/luizsl/SpectCube/tree/main/spectcube/data) and [model](https://github.com/luizsl/SpectCube/tree/main/spectcube/model). More detailed documentation will be available soon.
